Retrieve a widget annotation
GET
/v1/widgetannotation/{id}/
const url = 'https://example.com/v1/widgetannotation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/widgetannotation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single widget annotation by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this widget annotation.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
agent
string format: uuid
description
string
end_time
required
string format: date-time
id
required
string format: uuid
outage
boolean
start_time
required
string format: date-time
title
required
string
widget
required
string format: uuid
Examplegenerated
{ "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "end_time": "2026-04-15T12:00:00Z", "outage": true, "start_time": "2026-04-15T12:00:00Z", "title": "example", "widget": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}